package com.lovecoding.aop;

import org.aspectj.lang.annotation.After;
import org.aspectj.lang.annotation.AfterReturning;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.springframework.stereotype.Component;

@Aspect
@Component
public class CounterPorxy {

    /**
     * 接收通知的方法
     * Before 前置通知
     * After 后置通知
     * AfterReturning 返回通知
     */
    @Before("execution(* com.lovecoding.aop.CountterImpl.*(..))")
    public void add(){
        System.out.println( "即将执行加法操作" );
    }

}
